summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2014-09-18 11:31:22 +0100
committerPádraig Brady <P@draigBrady.com>2014-09-19 11:25:23 +0100
commit756a928c8c4823bd0ed541ecbbc5b4ea7a2ccaa9 (patch)
tree822857b880e991b55b831791db5180d166b7a1c3 /tests
parent90aa291c39ca8970fbce310cc317c5cc7b392691 (diff)
downloadcoreutils-756a928c8c4823bd0ed541ecbbc5b4ea7a2ccaa9.tar.xz
cp: fix handling of -H with multiply specified source dirs
Following on from commit v5.92-729-g130dd06, also avoid the erroneous directory hardlink warning with -H. * src/copy.c (copy_internal): Also handle the -H case for command line arguments. * tests/cp/duplicate-sources.sh: Augment the test case. * NEWS: Augment the news entry.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/cp/duplicate-sources.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/tests/cp/duplicate-sources.sh b/tests/cp/duplicate-sources.sh
index e15c6d213..35b2e460c 100755
--- a/tests/cp/duplicate-sources.sh
+++ b/tests/cp/duplicate-sources.sh
@@ -20,10 +20,19 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ cp
-mkdir a b || framework_failure_
+mkdir a || framework_failure_
touch f || framework_failure_
-cp -a a a f f b 2>err || fail=1
+# verify multiple files and dir sources only warned about
+mkdir dest || framework_failure_
+cp -a a a f f dest 2>err || fail=1
+rm -Rf dest || framework_failure_
+
+# verify multiple dirs and files with different names copied
+mkdir dest || framework_failure_
+ln -s a al || framework_failure_
+ln -s f fl || framework_failure_
+cp -aH a al f fl dest 2>>err || fail=1
cat <<EOF >exp
cp: warning: source directory 'a' specified more than once